<template>
  <VueSlickCarousel v-if="loading !== true && dataModule.length > 0" v-bind="settings">
    <div v-for="logo in dataModule" :key="logo.data.titre1">
      <a :href="logo.data.titre2"><img class="mx-auto" :src="urlFTP + 'tn/tn1-' + logo.data.image1" height="50" :alt="logo.data.titre1" /></a>
    </div>
  </VueSlickCarousel>
</template>

<script>
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
export default {
  name: "LogoPartner",
  components: { VueSlickCarousel },
  props: ["includesPage","moduleName"],
  data() {
    return {
      settings: {
        dots: false,
        autoplay: true,
        autoplaySpeed: 1000,
        slidesToShow: 8,
        slidesToScroll: 1,
        initialSlide: 0,
        pauseOnDotsHover: true,
        infinite: true,
        speed: 500,
        pauseOnHover: true,
        responsive: [
          {
            breakpoint: 1024,
            settings: {
              slidesToShow: 5,
              slidesToScroll: 1,
            },
          },
          {
            breakpoint: 600,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,
              initialSlide: 2,
            },
          },
          {
            breakpoint: 480,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
            },
          },
        ],
      },
      dataModule: null,
      loading: true,
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    }
  },
  mounted: function() {
    this.getDatas(this.moduleName);
  },
  methods: {
    getDatas(moduleName) {
      this.$axios
        .get(this.$urls.URL_DIAPO_ACTIV + moduleName)
        .then(response => {
          this.contentRaw = response.data.data;
          this.structureData();
        })
        .catch(err => {
          console.log("error ", err);
        });
    },
    structureData() {
      this.dataModule = this.contentRaw.filter(mod => {
        mod.data = JSON.parse(mod.data);
        return mod;
      });
      this.loading = false
    }
  }
}
</script>
